> For the complete documentation index, see [llms.txt](https://docs.trymito.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.trymito.io/mito-for-dash/common-design-patterns/filter-other-elements-to-data-selected-in-mito.md).

# Filter Other Elements to Data Selected in Mito

Subscribe to the spreadsheet\_selection to enable cross filtering

## Motivation

1. A user uses a Mito spreadsheet to select a few specific rows or columns.
2. You want to display a graph somewhere else in your dashboard, just based on these few rows or columns.

## Crossfiltering using the Mito spreadsheet component

First, set the `track_selection` parameter in the Spreadsheet component to True.

Simply use the `@mito_callback`  to watch for changes on the `spreadsheet_selection` prop.&#x20;

Notably, the `spreadsheet_selection` return type will return a Pandas dataframe that corresponds to the selected data in the sheet.

#### Example: changing a graph based on the current selection in a Mito spreadsheet

<pre class="language-python"><code class="lang-python">from dash import Dash, html, dcc, Output, Input
<strong>from dash.exceptions import PreventUpdate
</strong>import plotly.express as px
import pandas as pd

from mitosheet.mito_dash.v1 import Spreadsheet, mito_callback, activate_mito

df = pd.read_csv('https://raw.githubusercontent.com/plotly/datasets/master/gapminder_unfiltered.csv')

app = Dash(__name__)
activate_mito(app)

app.layout = html.Div([
    Spreadsheet(df, id={'type': 'spreadsheet', 'id': 'sheet'}, track_selection=True),
    dcc.Graph(id='graph-content'),
])

@mito_callback(
    Output('graph-content', 'figure'),
    Input({'type': 'spreadsheet', 'id': 'sheet'}, 'spreadsheet_selection')
)
def update_code(spreadsheet_selection):
    if spreadsheet_selection is None:
        raise PreventUpdate

    # Get selected rows from the original dataframe
    index = spreadsheet_selection.index
    dff = df.loc[index]

    return px.line(dff, x='year', y='lifeExp', color='continent')

if __name__ == '__main__':
    app.run(debug=True)
</code></pre>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.trymito.io/mito-for-dash/common-design-patterns/filter-other-elements-to-data-selected-in-mito.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
